prog START 0
	JSUB sinit
	LDT #4
	STT @stkp
	JSUB spush
	JSUB spop
	CLEAR T
	LDT @stkp	

halt J halt

.rutine za sklad
sinit	LDA #stkRESW .inicializiraj stkp
	STA stkp
	RSUB

spush	LDA stkp .poveca stkp za 3
	ADD #3
	STA stkp
	RSUB

spop	LDA stkp .zmanjsa stkp za 3
	SUB #3
	STA stkp
	RSUB

.podatki za sklad
stkp WORD 0
stkRESW WORD 1000

	END prog


